Bug 1111689 - Review Request: python3-dugong - Python 3.x HTTP 1.1 client module
Summary: Review Request: python3-dugong - Python 3.x HTTP 1.1 client module
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1107269
TreeView+ depends on / blocked
 
Reported: 2014-06-20 18:05 UTC by Christopher Meng
Modified: 2014-07-10 00:24 UTC (History)
3 users (show)

Fixed In Version: python3-dugong-3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-02 12:15:38 UTC
Type: ---
sanjay.ankur: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Christopher Meng 2014-06-20 18:05:02 UTC
Spec URL: https://mega.co.nz/#!3URFWZQA!31t95lELG9w5UCQkF-8L7dO8FFmzy9Q2MHx1OZYdhBs
SRPM URL: https://mega.co.nz/#!6I5CDKpC!vZljxmLahVWCvL0ROOvUGd98ik3SeFlitLanoOdZqdo
Description: The Python Dugong module provides an API for communicating with HTTP 1.1 servers. It is an alternative to the standard library's http.client 
(formerly httplib) module. In contrast to http.client, Dugong:

- Allows you to send multiple requests right after each other without 
having to read the responses first.

- Supports waiting for 100-continue before sending the request body.

- Raises an exception instead of silently delivering partial data if the 
connection is closed before all data has been received.

- Raises one specific exception (ConnectionClosed) if the connection has been 
closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)

- Supports non-blocking, asynchronous operation and is compatible with the 
asyncio module.

- Not compatible with old HTTP 0.9 or 1.0 servers.

All request and response headers are represented as str, but must be encodable
in latin1. Request and response body must be bytes-like objects or binary 
streams.
Fedora Account System Username: cicku

Comment 1 Jason Taylor 2014-06-21 01:12:03 UTC
Everything looked okay from what I know, here is the fedora-review output for additional information for the official reviewer to eyeball.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[ ]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[ ]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "PSF (v2.)", "Unknown or generated", "PSF (v2.) Apache (v2.0)". 6 files
     have unknown license. Detailed output of licensecheck in /home/jason/tmp
     /review-python3-dugong/licensecheck.txt
[ ]: Package contains no bundled libraries without FPC exception.
[ ]: Changelog in prescribed format.
[ ]: Sources contain only permissible code or content.
[ ]: Package contains desktop file if it is a GUI application.
[ ]: Development files must be in a -devel package
[ ]: Package uses nothing in %doc for runtime.
[ ]: Package consistently uses macros (instead of hard-coded directory names).
[ ]: Package is named according to the Package Naming Guidelines.
[ ]: Package does not generate any conflict.
[ ]: Package obeys FHS, except libexecdir and /usr/target.
[ ]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[ ]: Requires correct, justified where necessary.
[ ]: Spec file is legible and written in American English.
[ ]: Package contains systemd file(s) if in need.
[ ]: Package is not known to require an ExcludeArch tag.
[ ]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[ ]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[ ]: Python eggs must not download any dependencies during the build process.
[ ]: A package which is used by another package via an egg interface should
     provide egg info.
[ ]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[ ]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[ ]: Final provides and requires are sane (see attachments).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python3-dugong-3.0-1.fc20.noarch.rpm
          python3-dugong-3.0-1.fc20.src.rpm
python3-dugong.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.noarch: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.noarch: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.noarch: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.noarch: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.noarch: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
python3-dugong.noarch: W: invalid-url URL: https://bitbucket.org/nikratio/python-dugong <urlopen error [Errno -2] Name or service not known>
python3-dugong.src: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.src: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.src: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.src: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.src: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.src: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
2 packages and 0 specfiles checked; 2 errors, 15 warnings.

Rpmlint (installed packages)
----------------------------
# rpmlint python3-dugong
python3-dugong.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.noarch: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.noarch: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.noarch: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.noarch: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.noarch: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
# echo 'rpmlint-done:'

Requires
--------
python3-dugong (rpmlib, GLIBC filtered):
    python(abi)

Provides
--------
python3-dugong:
    python3-dugong

Source checksums
----------------
https://pypi.python.org/packages/source/d/dugong/dugong-3.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 7bcf0179a033cf60e6de687bd71554ddeb3d96fe38ee3ff94fe5786dd6f59cb5
  CHECKSUM(SHA256) upstream package : 7bcf0179a033cf60e6de687bd71554ddeb3d96fe38ee3ff94fe5786dd6f59cb5

Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -n python3-dugong
Buildroot used: fedora-20-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 2 Nathaniel McCallum 2014-06-21 03:04:05 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated", "PSF (v2.) Apache (v2.0)", "PSF (v2.)". 6 files
     have unknown license. Detailed output of licensecheck:

PSF (v2.)
---------
dugong-3.0/test/test_aio.py
dugong-3.0/test/test_dugong.py
dugong-3.0/test/test_examples.py

PSF (v2.) Apache (v2.0)
-----------------------
dugong-3.0/dugong/__init__.py

Unknown or generated
--------------------
dugong-3.0/examples/extract_links.py
dugong-3.0/examples/httpcat.py
dugong-3.0/examples/pipeline1.py
dugong-3.0/rst/conf.py
dugong-3.0/setup.py
dugong-3.0/test/conftest.py

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 3 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: python3-dugong-3.0-1.fc21.noarch.rpm
          python3-dugong-3.0-1.fc21.src.rpm
python3-dugong.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.noarch: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.noarch: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.noarch: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.noarch: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.noarch: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
python3-dugong.src: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.src: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.src: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.src: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.src: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.src: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
2 packages and 0 specfiles checked; 2 errors, 14 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python3-dugong
python3-dugong.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.noarch: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.noarch: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.noarch: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.noarch: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.noarch: E: description-line-too-long C closed (while http.client connection may raise any of BrokenPipeError, ~http.client.BadStatusLine, ConnectionAbortedError, ConnectionResetError, ~http.client.IncompleteRead or simply return '' on read)
1 packages and 0 specfiles checked; 1 errors, 7 warnings.
# echo 'rpmlint-done:'



Requires
--------
python3-dugong (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-dugong:
    python3-dugong



Source checksums
----------------
https://pypi.python.org/packages/source/d/dugong/dugong-3.0.tar.bz2 :
  CHECKSUM(SHA256) this package     : 7bcf0179a033cf60e6de687bd71554ddeb3d96fe38ee3ff94fe5786dd6f59cb5
  CHECKSUM(SHA256) upstream package : 7bcf0179a033cf60e6de687bd71554ddeb3d96fe38ee3ff94fe5786dd6f59cb5


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review --rpm-spec -n /home/nathaniel/Downloads/python3-dugong-3.0-1.fc21.src.rpm
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 3 Nathaniel McCallum 2014-06-21 03:05:14 UTC
Fix the long line in the description and I think we're good to go.

Also, in the future, please don't share files on a file sharing site. You have a nice fedorapeople.org account you could use instead. :)

Comment 4 Christopher Meng 2014-06-21 03:29:05 UTC
(In reply to Nathaniel McCallum from comment #3)
> Fix the long line in the description and I think we're good to go.
> 
> Also, in the future, please don't share files on a file sharing site. You
> have a nice fedorapeople.org account you could use instead. :)

I know, but my country is rigging SSH connection intermittently now these days(I'm sorry I don't want to discuss politics in Bugzilla, I will email you in private)

Fixed: https://mega.co.nz/#!fF5SzAKa!aVtUXcvWbFjXsu2eJUDh49bbO34qlF-e2xpmb8VZlGE

Comment 5 Christopher Meng 2014-06-27 07:06:53 UTC
Ping again. I need to finish this as soon as possible.

Comment 6 Ankur Sinha (FranciscoD) 2014-07-01 10:31:33 UTC
I'll take this one. Review coming in a few hours.

Comment 7 Ankur Sinha (FranciscoD) 2014-07-01 11:08:26 UTC
[+] OK
[-] NA
[?] Issue

** Mandatory review guidelines: **
 [+] rpmlint output:
[asinha@ankur-laptop  SRPMS]$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/*.rpm ../SPECS/python3-dugong.spec ./python3-dugong-3.0-1.fc21.src.rpm
python3-dugong.noarch: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.noarch: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.noarch: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.noarch: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.noarch: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.noarch: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.src: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.src: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.src: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.src: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.src: W: spelling-error %description -l en_US encodable -> expendable
python3-dugong.src: W: spelling-error %description -l en_US http -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US httplib -> HTTP
python3-dugong.src: W: spelling-error %description -l en_US BadStatusLine -> Stateliness
python3-dugong.src: W: spelling-error %description -l en_US IncompleteRead -> Incomplete Read, Incomplete-read, Incomplete
python3-dugong.src: W: spelling-error %description -l en_US asyncio -> Asuncion
python3-dugong.src: W: spelling-error %description -l en_US str -> st, tr, stir
python3-dugong.src: W: spelling-error %description -l en_US encodable -> expendable
3 packages and 1 specfiles checked; 0 errors, 21 warnings.
[asinha@ankur-laptop  SRPMS]$

^^
Only spelling warnings. Please look at them. For example, http - HTTP seems
liek a change you can make. 

 [+] License is acceptable (...)
 [?] License field in spec is correct
^^ It may make sense to also include Apache since the CaseInsensitiveDict
implementation is licensed such. The LICENSE file mentions it too.

 [+] License files included in package %docs if included in source package
 [+] License files installed when any subpackage combination is installed
 [+] Spec written in American English
 [+] Spec is legible
 [+] Sources match upstream unless altered to fix permissibility issues
Getting https://pypi.python.org/packages/source/d/dugong/dugong-3.0.tar.bz2 to /tmp/review/dugong-3.0.tar.bz2
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  176k  100  176k    0     0   108k      0  0:00:01  0:00:01 --:--:--  108k
f81bc01e7656ced466e1eb059952c21f  /tmp/review/dugong-3.0.tar.bz2
f81bc01e7656ced466e1eb059952c21f  /home/asinha/rpmbuild/SOURCES/dugong-3.0.tar.bz2
removed ‘/tmp/review/dugong-3.0.tar.bz2’
removed directory: ‘/tmp/review’

 [+] Build succeeds on at least one primary arch
 [+] Build succeeds on all primary arches or has ExcludeArch + bugs filed
 [+] BuildRequires correct, justified where necessary
 [-] Locales handled with %find_lang, not %_datadir/locale/*
 [-] %post, %postun call ldconfig if package contains shared .so files
 [+] No bundled libs
 [-] Relocatability is justified
 [+] Package owns all directories it creates
 [+] Package requires others for directories it uses but does not own
 [+] No duplication in %files unless necessary for license files
 [+] File permissions are sane
 [+] Package contains permissible code or content
 [-] Large docs go in -doc subpackage
 [+] %doc files not required at runtime
 [-] Static libs go in -static package/virtual Provides
 [-] Development files go in -devel package
 [-] -devel packages Require base with fully-versioned dependency, %_isa
 [+] No .la files
 [-] GUI app uses .desktop file, installs it with desktop-file-install
 [-] File list does not conflict with other packages' without justification
 [+] File names are valid UTF-8

** Optional review guidelines: **
 [-] Query upstream about including license files
 [-] Translations of description, summary
 [+] Builds in mock
 [+] Builds on all arches
 [?] Functions as described (e.g. no crashes)
^^
Not tested

 [-] Scriptlets are sane
 [-] Subpackages require base with fully-versioned dependency if sensible
 [-] .pc file subpackage placement is sensible
 [+] No file deps outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin
 [-] Include man pages if available

Naming guidelines:
 [+] Package names use only a-zA-Z0-9-._+ subject to restrictions on -._+
 [+] Package names are sane
 [+] No naming conflicts
 [+] Spec file name matches base package name
 [+] Version is sane
 [+] Version does not contain ~
 [+] Release is sane
 [+] %dist tag
 [-] Case used only when necessary
 [-] Renaming handled correctly

Packaging guidelines:
 [+] Useful without external bits
 [-] No kmods
 [+] Pre-built binaries, libs removed in %prep
 [+] Sources contain only redistributable code or content
 [+] Spec format is sane
 [+] Package obeys FHS, except libexecdir, /run, /usr/target
 [+] No files in /bin, /sbin, /lib* on >= F17
 [-] Programs run before FS mounting use /run instead of /var/run
 [-] Binaries in /bin, /sbin do not depend on files in /usr on < F17
 [+] No files under /srv, /opt, /usr/local
 [+] Changelog in prescribed format
 [+] No Packager, Vendor, Copyright, PreReq tags
 [+] Summary does not end in a period
 [-] Correct BuildRoot tag on < EL6
 [-] Correct %clean section on < EL6
^^
Please remember this if you plan to maintain the package for EL6

 [?] Requires correct, justified where necessary
^^
Please confirm that no explicit requires are required by this package. 

 [-] Summary, description do not use trademarks incorrectly
 [+] All relevant documentation is packaged, appropriately marked with %doc
 [+] Doc files do not drag in extra dependencies (e.g. due to +x)
 [-] Code compilable with gcc is compiled with gcc
 [+] Build honors applicable compiler flags or justifies otherwise
 [-] PIE used for long-running/root daemons, setuid/filecap programs
 [-] Useful -debuginfo package or disabled and justified
 [-] Package with .pc files Requires pkgconfig on < EL6
 [+] No static executables
 [-] Rpath absent or only used for internal libs
 [-] Config files marked with %config(noreplace) or justified %config
 [-] No config files under /usr
 [-] Third party package manager configs acceptable, in %_docdir
 [-] .desktop files are sane
 [+] Spec uses macros consistently
 [?] Spec uses macros instead of hard-coded names where appropriate
^^
You could define a macro for the module name and use it everywhere. It will
reduce the chances of errors during updates and such:
%global module_name dugong

 [-] Spec uses macros for executables only when configurability is needed
 [-] %makeinstall used only when alternatives don't work
 [-] Macros in Summary, description are expandable at srpm build time
 [-] Spec uses %{SOURCE#} instead of $RPM_SOURCE_DIR and %sourcedir
 [-] No software collections (scl)
 [-] Macro files named /etc/rpm/macros.%name
 [+] Build uses only python/perl/shell+coreutils/lua/BuildRequired langs
 [-] %global, not %define
 [-] Package translating with gettext BuildRequires it
 [-] Package translating with Linguist BuildRequires qt-devel
 [-] File ops preserve timestamps
 [+] Parallel make
 [-] No Requires(pre,post) notation
 [-] User, group creation handled correctly (See Packaging:UsersAndGroups)
 [-] Web apps go in /usr/share/%name, not /var/www
 [-] Conflicts are justified
 [+] One project per package
 [+] No bundled fonts
 [-] Patches have appropriate commentary
 [+] Available test suites executed in %check
 [-] tmpfiles.d used for /run, /run/lock on >= F15

 ** Python guidelines: **
 [?] Runtime Requires correct
^^
Please check these

 [?] Python macros declared on < EL6
^^
Only if you plan to maintain it for EL6

 [+] All .py files packaged with .pyc, .pyo counterparts
 [+] Includes .egg-info files/directories when generated
 [-] Provides/Requires properly filtered
 [-] Code that invokes gtk.gdk.get_pixels_array() Requires numpy


Package looks good to me. No major issues. Just some things you might want to
double check before the SCM commit.


XXXX  APPPROVED  XXXX

Comment 8 Christopher Meng 2014-07-01 11:11:08 UTC
Thanks!

I will review your soon, as I'm outside now.

New Package SCM Request
=======================
Package Name: python3-dugong
Short Description: Python 3.x HTTP 1.1 client module
Upstream URL: https://bitbucket.org/nikratio/python-dugong
Owners: cicku
Branches: f20 epel7

Comment 9 Gwyn Ciesla 2014-07-01 12:04:15 UTC
Git done (by process-git-requests).

Comment 10 Fedora Update System 2014-07-01 13:07:54 UTC
python3-dugong-3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/python3-dugong-3.1-1.fc20

Comment 11 Fedora Update System 2014-07-01 23:30:53 UTC
Package python3-dugong-3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing python3-dugong-3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-7984/python3-dugong-3.1-1.fc20
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2014-07-10 00:24:20 UTC
python3-dugong-3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.